=== debian/changelog ===
uim (1:1.7.1-3ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #818199).
  * Remaining changes:
    - debian/uim-qt.install: Fix plugin path for multiarch location.
  * Dropped changes:
    - uim-applet-gnome removal (GNOME 3 applet is available)
    - 19_as-needed_compile_fix.dpatch (accepted into Debian package)
  * translations.patch: add several files to POTFILE.in to prevent
    intltool-update failure.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 18 Dec 2011 16:35:38 +0400

uim (1:1.7.1-3) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to unstable.
  * New maintainer (acknowledged from former maintainer).
    Thanks Kiwamu Okabe <kiwamu@debian.or.jp> for the great works.
  * the GNOME 3 transition (Closes: #638102).
    - debian/control
      + drop b-d libpanel-applet2-dev, libgnome2-dev and libgnomeui-dev
      + add b-d libpanel-applet-4-dev.
      + uim-applet-gnome depends uim-gtk3 instead of uim-gtk2.0.
    - debian/rules: add --disable-gnome-applet and --enable-gnome3-applet.
    - debian/uim-applet-gnome.install: updated.
  * fix ftbs with ld --as-needed (Closes: #639320)
    - debian/patches/fix_build_with_ld_as_needed.patch: added.
    - debian/patches/series: updated.
  * taken from 1:1.7.1-2ubuntu1~oneiric[23].
    Thanks Ikuya Awashiro <ikuya@fruitsbasket.info>.
    - debian/im-switch/uim-toolbar-qt
      + start uim-toolbar-qt4 instead of uim-toolbar-qt.
    - fix segfault uim-toolbar-qt4 with uim-mozc.
      + debian/patches/fix_segv_uim_toolbar_qt4_with_mozc.patch: added.
      + debian/patches/series: updated.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Sat, 15 Oct 2011 17:31:16 +0900

uim (1:1.7.1-2) experimental; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to experimental.
  * avoid to remove old libuim versions (Closes: #415394).
    - move from uim-common and libuim7 files to libuim-data,
      + debian/uim-common.install: usr/share/uim/*.scm
      + debian/libuim7.install: usr/lib/uim/plugin/libuim-*.so
      + debian/rules: etc/uim/*.scm
    - arrange dependencies about moving libuim-data files.
      + libuim-data: add Breaks/Replaces: libuim6 and uim-common.
      + libuim-data: add Recommends: wordlist, im-config | im-switch
      + libuim7: drop Conflicts: libuim6.
      + libuim7: drop Depends/Breaks/Replaces: libuim-data.
      + uim-common: drop Recommends: wordlist, im-config | im-switch.
      + uim-*: add Depends: libuim-data
  * debian/control
    - Remove Conflicts/Breaks/Replaces against no longer exist packages
      (libuim0, libuim1 and libuim3).
    - change Architecture of uim-{canna,prime} from any to all.
    - set Section: utils and Architecture: any of libuim-data.
  * debian/changelog
    - add missing NMU entry (1:1.5.7-9.1).
    - acknowledge NMU, thanks to gregor herrmann <gregoa@debian.org>.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Thu, 25 Aug 2011 15:18:17 +0900

uim (1:1.7.1-1) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
    - debian/uim-byeoru.install: reflect byeoru dict format change.
  * debian/control
    - change uim-el section from utils to lisp (Closes: #634939).

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Tue, 09 Aug 2011 15:41:20 +0900

uim (1:1.7.0-3) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/patches/
    - dropped merged/needless patches.
  * debian/control
    - add Replaces/Breaks: to uim-common and uim-gtk2.0.
      add Suggests: to uim-xim. patches made by
      YOSHINO Yoshihito <yy.y.ja.jp@gmail.com> (Closes: #633401).
  * rename plasma-widget-uim from uim-applet-kde (Closes: #583783).
    - debian/control: uim-applet-kde goes to dummy package.
    - debian/plasma-widget-uim.install: renamed from uim-applet-kde.install.
    - debian/rules: add plasma-widget-uim.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Wed, 20 Jul 2011 12:50:03 +0900

uim (1:1.7.0-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * debian/control
    - Fix control within about 80 characters
    - Drop emacs22, emacs21 and emacs-snapshot from Depends of uim-el
    - Add uim-gtk3 to Depends of uim
    - Change architecture of libuim-data from any to all

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/uim-tcode.install
    - include "tcode.scm" and "trycode.scm" for code table file.
      (Closes: #631746)
  * debian/{uim-common,uim-utils}.postinst
    - remove no longer need postinst script
  * debian/libuim7.symbols.kfreebsd
    - add a separate symbols file on kFreeBSD for issetugid
  * debian/control
    - remove unnecessary lib*-dev buil-dependencies (Closes: #623669)
    - libuim-dev: fix Depends: add libgcroots-dev, remove libm17n-dev.
      (Closes: #423269)
    - uim-canna, uim-prime: do not depend ${shlibs:Depends}
  * enable GTK+3 immodule and helper applications
    - debian/control: uim-gtk3: new sub package.
    - debian/rules: add --with-gtk3 to confflags.
    - debian/uim-common.install: move /usr/share/uim/helperdata/
      uim-dict-ui.xml from debian/uim-gtk2.0.install.
    - debian/uim-gtk3.install: new file.
    - debian/uim-gtk3.lintian-overrides: new file.
    - debian/uim-gtk3.menu: new file.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Thu, 30 Jun 2011 18:15:36 +0900

uim (1:1.7.0-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * New upstream release.
    - fixed FTBFS with binutils-gold (Closes: #556514)
    - fixed uim crashes when in .XCompose file symbol not in current locale
      (Closes: #599837)
  * Update debian/control.
    - Add Nobuhiro Iwamatsu to Uploaders.
    - Drop qt3 support (Closes: #604385)

  [ Kiwamu Okabe ]
  * add HIGUCHI Daisuke (VDR dai) <debian@vdr.jp> to Uploaders.
  * update standards-version=3.9.2
  * fix lintian bug description-synopsis-starts-with-article.

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/control
    - fix description. (Closes: #503858)
    - Update uim-qt*'s description, they include qt*-immodules.
      (Closes: #601866)

