=== debian/control ===
Source: uim
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Kiwamu Okabe <kiwamu@debian.or.jp>
Build-Depends: debhelper (>> 7.0.50~), quilt,
 automake1.10, autoconf, autotools-dev, intltool, libtool,
 libgtk2.0-dev (>= 2.10.1), libpango1.0-dev, libfreetype6-dev, libatk1.0-dev,
 libxml-perl, libx11-dev, libxft-dev, libxext-dev, x11proto-core-dev,
 libcanna1g-dev, libanthy-dev, libncurses5-dev, libm17n-dev, m17n-db, prime,
 libqt4-dev, librsvg2-bin, libedit-dev, libgcroots-dev, kdelibs5-dev,
 libexpat1-dev, cmake, libgtk-3-dev, libpanel-applet-4-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/uim/
Vcs-Git: git://anonscm.debian.org/collab-maint/uim.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uim.git
DM-Upload-Allowed: yes

Package: uim-common
Section: utils
Architecture: all
Depends: ${misc:Depends}
Replaces: uim-gtk2.0 (<< 1:1.7.0-2)
Breaks: uim-gtk2.0 (<< 1:1.7.0-2)
Description: Universal Input Method - common files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains common files for the uim packages.

Package: uim
Section: utils
Architecture: all
Depends: ${misc:Depends}, uim-common (= ${source:Version}),
	uim-gtk2.0 (>= ${source:Version}), uim-qt (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version}),
	uim-xim (>= ${source:Version}), uim-utils (>= ${source:Version}),
	uim-fep (>= ${source:Version})
Description: Universal Input Method - metapackage
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package is a dummy convenience package designed to install the basic
 uim infrastructure.  It does not depend on any plugin packages, because
 uim is not limited to one input method. Packages are available for
 various input methods, including the following:
  * Japanese
   - uim-anthy: Anthy plugin for uim;
   - uim-canna: Canna plugin for uim;
   - uim-prime: PRIME plugin for uim;
   - uim-skk:   SKK plugin for uim.
  * Chinese
   - uim-pinyin: Pinyin input support for uim.
  * Korean
   - uim-byeoru: Byeoru input support for uim.
  * Multilingual input method
   - uim-m17n: M17n plugin for uim.

Package: libuim7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Description: Universal Input Method - libraries
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared libraries for uim.

Package: libuim-data
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Replaces: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
Breaks: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
Recommends: wordlist, im-config | im-switch
Description: Universal Input Method - data files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the data files for uim.

Package: libuim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
	uim-common (>= ${source:Version}), libgcroots-dev
Description: Universal Input Method - development files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains header files and static libraries for uim development.

Package: libuim7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
	uim-common (>= ${source:Version})
Description: Universal Input Method - debugging symbols
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace in a debugger, making it somewhat easier to interpret
 core dumps.

Package: uim-gtk2.0
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Replaces: uim-xim (<< 1:1.6.0-1)
Breaks: uim-xim (<< 1:1.6.0-1)
Description: Universal Input Method - GTK+2.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+2.0
 applications.

Package: uim-gtk3
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Description: Universal Input Method - GTK+3.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+3.0
 applications.

Package: uim-qt
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Description: Universal Input Method - Qt 4.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 4.x.

Package: uim-qt3
Section: x11
Architecture: all
Depends: ${misc:Depends}, uim-qt (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: transitional package for uim-qt
 This is a dummy package to aid in transitioning from uim-qt3 to uim-qt.
 This dummy package may be safely removed after upgrading to wheezy.

Package: uim-xim
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-utils (>= ${source:Version})
Suggests: uim-gtk2.0 (>= 1:1.6.0-1), uim-gtk3, uim-qt
Description: Universal Input Method - XIM compatibility interface
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package provides a bridge allowing software that can only interface
 with the X Input Method to work with uim.

Package: uim-applet-gnome
Section: gnome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version})
Description: Universal Input Method - GNOME applet
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a GNOME applet which can configure uim, monitor its
 conversion mode, and so on.

Package: plasma-widget-uim
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
	uim-qt (>= ${source:Version})
Description: Universal Input Method - KDE Plasma widget
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a KDE Plasma widget which can configure uim, monitor
 its conversion mode, and so on.

Package: uim-applet-kde
Section: kde
Architecture: all
Depends: ${misc:Depends}, plasma-widget-uim (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: transitional package for plasma-widget-uim
 This is a dummy package to aid in transitioning from uim-applet-kde to
 plasma-widget-uim.  This dummy package may be safely removed after upgrading
 to wheezy.

Package: uim-fep
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Description: Universal Input Method - front end processor
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a curses Front End Processor to support the use of
 uim in a text terminal.

Package: uim-utils
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Breaks: uim-common (<< 1:1.4.1-1)
Replaces: uim-common (<< 1:1.4.1-1)
Description: Universal Input Method - utilities
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
