=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

confflags := \
	--with-libgcroots=installed \
	--disable-rpath \
	--enable-static \
	--enable-shared \
	$(NULL)

confflags += \
	--with-fep \
	--with-anthy \
	--with-anthy-utf8 \
	--with-canna \
	--with-m17nlib \
	--with-x \
	--with-gtk \
	--with-gtk3 \
	--with-qt4 \
	--with-qt4-immodule \
	--with-expat \
	--enable-dict \
	--disable-gnome-applet \
	--enable-gnome3-applet \
	--enable-kde4-applet \
	$(NULL)

ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/tables/wb86.scm $(CURDIR)/tables/zm.scm
	rm -f $(CURDIR)/config.log $(CURDIR)/config.status

override_dh_auto_install:
	dh_auto_install -- GTK_IMMODULES=/dev/null

override_dh_install:
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim-toolbar \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-toolbar
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim-systray \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-systray
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim-toolbar-qt \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-toolbar-qt
	install -d $(CURDIR)/debian/libuim-data/etc/uim
	LIBUIM_SYSTEM_SCM_FILES=$(CURDIR)/sigscheme/lib \
	LIBUIM_SCM_FILES=$(CURDIR)/scm \
	LIBUIM_PLUGIN_LIB_DIR=$(CURDIR)/uim/.libs \
		$(CURDIR)/uim/uim-module-manager --unregister-all \
				 --path $(CURDIR)/debian/libuim-data/etc/uim
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -p libuim-data \
		etc/uim/installed-modules.scm \
		usr/share/uim/installed-modules.scm
	dh_link -p libuim-data \
		etc/uim/loader.scm \
		usr/share/uim/loader.scm
	for pkg in libuim7 libuim-data libuim7-dbg libuim-dev uim-utils \
		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
		   uim-qt uim-qt3 plasma-widget-uim uim-applet-kde \
		   uim-anthy uim-canna uim-prime uim-skk uim-m17nlib \
		   uim uim-byeoru uim-latin uim-pinyin \
		   uim-tcode uim-viqr uim-ipa-x-sampa uim-look \
		   uim-yahoo-jp uim-social-ime uim-ajax-ime ; do \
		rm -rf $(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg; \
		dh_link -p$$pkg \
			usr/share/doc/uim-common \
			usr/share/doc/$$pkg; \
	done
	dh_link

override_dh_strip:
	dh_strip --dbg-package=libuim7-dbg

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=usr/lib/uim/plugin \
		--exclude=usr/lib/kde4 \
		--exclude=usr/lib/gtk-2.0 \
		--exclude=usr/lib/gtk-3.0 \
		$(NULL)
