## uim 1.7.2

=== debian/changelog ===
uim (1:1.7.2-3) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to unstable.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 19 Jan 2012 09:09:38 +0900

uim (1:1.7.2-2) experimental; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to experimental.
  * uim-dbg: renamed from libuim7-dbg.
    - debian/control: just renamed package name.
      it replaces/breaks libuim6-dbg and libuim7-dbg.
    - debian/rules: just renamed package name.
  * debian/libuim7.symbols: use arch tag.
  * debian/libuim7.symbols.kfreebsd: removed.
  * libuim7 split out into libuim7, libuim-scm0 and libuim-custom2
    (Closes: #655700).
    - debian/control: add libuim-scm0 and libuim-custom2.
      they replaces/breaks libuim6 and libuim7 (<< 1:1.7.2-2).
    - debian/rules: add libuim-scm0 and libuim-custom2.
    - debian/libuim7.{install,symbols}: split out.
    - debian/libuim-scm0.{install,symbols}: new files.
    - debian/libuim-custom2.{install,symbols}: new files.
  * debian/libuim*.symbols: update for squeeze.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 14 Jan 2012 02:15:28 +0900

uim (1:1.7.2-1) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * debian/control
    - update my email address.
    - eliminate lintian warning: transitional-package-should-be-oldlibs-extra
      + uim-qt3, uim-applet-kde, uim-hangul.
  * debian/patches/
    - 06_fix_ftbfs_on_ia64.patch: removed, no need.
    - fix_segv_uim_toolbar_qt4_with_mozc.patch: removed, merged upstream.
    - fix_build_with_ld_as_needed.patch: removed, merged upstream.
    - series: updated.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 12 Jan 2012 10:07:59 +0900
