=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: uim
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>
+Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>> 7.0.50~), quilt,
@@ -67,7 +66,9 @@
 Package: libuim7
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
-Description: Universal Input Method - libraries
+Replaces: libuim6
+Breaks: libuim6
+Description: Universal Input Method - uim library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
  PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
@@ -75,6 +76,34 @@
  Scheme, so it's very simple and flexible.
  .
  This package contains the shared libraries for uim.
+
+Package: libuim-scm0
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
+Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
+Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Description: Universal Input Method - uim-scm API library
+ Uim is an input method module library which supports various scripts and can
+ act as a front end for a range of input methods, including Anthy, Canna,
+ PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
+ M17n (for many other languages). Most of its functions are implemented in
+ Scheme, so it's very simple and flexible.
+ .
+ This package contains the shared library for uim-scm API.
+
+Package: libuim-custom2
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
+Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
+Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Description: Universal Input Method - uim-custom API library
+ Uim is an input method module library which supports various scripts and can
+ act as a front end for a range of input methods, including Anthy, Canna,
+ PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
+ M17n (for many other languages). Most of its functions are implemented in
+ Scheme, so it's very simple and flexible.
+ .
+ This package contains the shared library for uim-custom API.
 
 Package: libuim-data
 Section: utils
@@ -106,12 +135,14 @@
  .
  This package contains header files and static libraries for uim development.
 
-Package: libuim7-dbg
+Package: uim-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
 	uim-common (>= ${source:Version})
+Replaces: libuim6-dbg, libuim7-dbg
+Breaks: libuim6-dbg, libuim7-dbg
 Description: Universal Input Method - debugging symbols
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -119,7 +150,7 @@
  M17n (for many other languages). Most of its functions are implemented in
  Scheme, so it's very simple and flexible.
  .
- This package contains unstripped shared libraries. It is provided primarily
+ This package contains the debugging symbols. It is provided primarily
  to provide a backtrace in a debugger, making it somewhat easier to interpret
  core dumps.
 
@@ -171,7 +202,8 @@
  using Qt 4.x.
 
 Package: uim-qt3
-Section: x11
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, uim-qt (>= ${source:Version}),
 	uim-common (>= ${source:Version})
@@ -228,38 +260,9 @@
  its conversion mode, and so on.
 
 Package: uim-applet-kde
-Section: kde
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, plasma-widget-uim (>= ${source:Version}),
 	uim-common (>= ${source:Version})
 Description: transitional package for plasma-widget-uim
- This is a dummy package to aid in transitioning from uim-applet-kde to
- plasma-widget-uim.  This dummy package may be safely removed after upgrading
- to wheezy.
-
-Package: uim-fep
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
-	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
-Description: Universal Input Method - front end processor
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package contains a curses Front End Processor to support the use of
- uim in a text terminal.
-
-Package: uim-utils
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
-Breaks: uim-common (<< 1:1.4.1-1)
-Replaces: uim-common (<< 1:1.4.1-1)
-Description: Universal Input Method - utilities
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
