=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,8 @@
 	dh_link -p libuim-data \
 		etc/uim/loader.scm \
 		usr/share/uim/loader.scm
-	for pkg in libuim7 libuim-data libuim7-dbg libuim-dev uim-utils \
+	for pkg in libuim7 libuim-scm0 libuim-custom2 \
+		   libuim-data libuim-dev uim-dbg uim-utils \
 		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
 		   uim-qt uim-qt3 plasma-widget-uim uim-applet-kde \
 		   uim-anthy uim-canna uim-prime uim-skk uim-m17nlib \
@@ -92,7 +93,7 @@
 	dh_link
 
 override_dh_strip:
-	dh_strip --dbg-package=libuim7-dbg
+	dh_strip --dbg-package=uim-dbg
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
