## uim 1.8.1

=== debian/changelog ===
uim (1:1.8.1-4) unstable; urgency=medium

  * Urgency set medium to fix RC bug.
  * touch /var/lib/uim/installed-modules.scm and /var/lib/uim/loader.scm
    before mv_conffile works in debian/libuim-data.postinst.
    because mv_conffile works only when destination file aleady exists.
    it appears upgrading from squeeze. (Closes: #688233) again.
    reported by Andreas Beckmann <debian@abeckmann.de>.  Thank you.
  * debian/control: libuim-data
    - replace Breaks: uim-chewing (<= 0.1.0-2) by uim-chewing (<< 0.1.0-3~).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 18 Oct 2012 16:06:04 +0900

uim (1:1.8.1-3) unstable; urgency=medium

  * Urgency set medium to fix RC bug.
  * move installed-modules.scm and loader.scm from /etc/uim to /var/lib/uim
    (Closes: #688233).
    - debian/*.{postinst,prerm}: change path from /etc/uim to /var/lib/uim.
    - debian/rules: do not generate installed-modules.scm and loader.scm.
    - debian/libuim-data.maintscript: add mv_conffile installed-modules.scm
      and loader.scm from /etc/uim to /var/lib/uim.
      Suggested by Andreas Beckmann <debian@abeckmann.de>.  Thank you.
    - debian/libuim-data.postinst: generate installed-modules.scm and
      loader.scm if they do not exists in /var/lib/uim.
    - debian/libuim-data.postrm: remove /etc/uim and /var/lib/uim contents.
  * debian/control: libuim-data
    - add Pre-Depends: dpkg (>= 1.15.7.2) to use dpkg-maintsctipt-helper.
    - add Breaks: uim-MODULE (<< 1:1.8.1-3~).
    - add Breaks: uim-mozc (<< 1.5.1090.102-4~), uim-chewing (<= 0.1.0-2)
  * unset Multi-Arch: same of uim-dbg, because of plasma-widget-uim (kde4).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 14 Oct 2012 18:07:35 +0900

uim (1:1.8.1-2) unstable; urgency=low

  * enable Multiarch.
    - this is partial, because of plasma-widget-uim (kde4).
    - debian/compat: set to 9.
    - debian/libuim-custom2.install
      debian/libuim-data.install
      debian/libuim-dev.install
      debian/libuim-scm0.install
      debian/libuim8.install
      debian/uim-anthy.install
      debian/uim-applet-gnome.install
      debian/uim-gtk2.0.install
      debian/uim-gtk3.install
      debian/uim-m17nlib.install
      debian/uim-qt.install
      debian/uim-skk.install
      debian/uim-utils.install
      debian/rules: add triplet.
    - debian/control
      + mark libuim8, libuim-scm0, libuim-custom2, libuim-dev and uim0-dbg as
        Multi-Arch: same.
      + mark uim-common as Multi-Arch: foreign.
  * enable more hardening.
    - debian/patches/add_cppflags_qt4_common.patch: added.
    - debian/patches/add_include_qt4_edittest.patch: added.
  * debian/changelog: remove redundant name tags.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 03 Jun 2012 00:20:45 +0900

uim (1:1.8.1-1) unstable; urgency=low

  * New upstream release.
    - debian/uim-tcode.install: update for new file tutcode-rule-custom.scm.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 30 May 2012 12:44:59 +0900

uim (1:1.8.0-2) unstable; urgency=low

  * upload to unstable.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 17 May 2012 20:12:04 +0900

uim (1:1.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS against multiarch Qt 4.8 (Closes: #662796)
    - Thanks to Felix Geyer for the fix

 -- Scott Kitterman <scott@kitterman.com>  Tue, 15 May 2012 01:28:54 -0400

uim (1:1.8.0-1) experimental; urgency=low

  * New upstream release.
    - replace rsvg with rsvg-convert (Closes: #666484)
  * fix FTBFS against multiarch Qt 4.8 (Closes: #662796)
    thanks to Felix Geyer <debfx-pkg@fobos.de>.
  * including upstream changelogs.
    - debian/uim-common.docs: added ChangeLog.old*
    - debian/rules: add override_dh_installchangelogs.
  * debian/rules: add uim-hangul to override_dh_link.
  * upload to experimental.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 31 Mar 2012 12:36:46 +0900

uim (1:1.8.0~beta-1) UNRELEASED; urgency=low

  * New upstream beta release.
  * Update libuim version (7.1.0 -> 8.0.0)
    - debian/libuim8.install: renamed from libuim7.install.
    - debian/libuim8.symbols: updated and renamed from libuim7.symbols.
    - debian/control: renamed from libuim7 to libuim8.
    - debian/rules: renamed from libuim7 to libuim8.
  * debian/patches/potfiles_intltool_0.50.x.patch: removed, fixed upstream.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 25 Mar 2012 18:09:05 +0900

uim (1:1.8.0~alpha-1) UNRELEASED; urgency=low

  * New upstream alpha release.
  * debian/copyright: added scm/packrat.scm scm/json.scm.
  * debian/libuim7.symbols: updated.
  * debian/libuim-data.install: added new scm files.
  * debian/uim-gtk2.0.install: added uim-candwin-horizontal-gtk.
  * debian/uim-gtk3.install: added uim-candwin-horizontal-gtk3.
  * debian/uim-m17nlib.install: added new scm file.
  * debian/uim-qt.install: removed uim-chardict-qt4.mo.
  * debian/patches/potfiles_intltool_0.50.x.patch: updated.
  * Add uim-google-cgiapi-jp and uim-baidu-olime-jp package.
    - debian/control: add uim-google-cgiapi-jp and uim-baidu-olime-jp.
    - debian/rules: add uim-google-cgiapi-jp and uim-baidu-olime-jp.
    - debian/uim-google-cgiapi-jp.{install,postinst,prerm}: added.
    - debian/uim-baidu-olime-jp.{install,postinst,prerm}: added.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 20 Mar 2012 14:25:36 +0900

uim (1:1.7.3-2) unstable; urgency=low

  * debian/patches/potfiles_intltool_0.50.x.patch: added.
    - add missing POTFILES entries for intltool 0.50.x (Closes: #662795).
  * debian/copyright: switched to DEP-5 format.
  * Standards-Version 3.9.3.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 10 Mar 2012 16:30:07 +0900

uim (1:1.7.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fix_ftbfs_on_hurd-i386.patch: removed.
  * debian/rules: enable hardening build flags using dpkg-buildflags.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 14 Feb 2012 17:09:20 +0900


