=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Kiwamu Okabe <kiwamu@debian.or.jp>
-Build-Depends: debhelper (>> 7.0.50~), quilt,
+Build-Depends: debhelper (>= 9), quilt,
  automake1.10, autoconf, autotools-dev, intltool, libtool,
  libgtk2.0-dev (>= 2.10.1), libpango1.0-dev, libfreetype6-dev, libatk1.0-dev,
  libxml-perl, libx11-dev, libxft-dev, libxext-dev, x11proto-core-dev,
  libcanna1g-dev, libanthy-dev, libncurses5-dev, libm17n-dev, m17n-db, prime,
- libqt4-dev, librsvg2-bin, libedit-dev, libgcroots-dev, kdelibs5-dev,
- libexpat1-dev, cmake, libgtk-3-dev, libpanel-applet-4-dev
-Standards-Version: 3.9.2
+ libqt4-dev (>= 4:4.8.0), librsvg2-bin, libedit-dev, libgcroots-dev,
+ kdelibs5-dev, libexpat1-dev, cmake, libgtk-3-dev, libpanel-applet-4-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/uim/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uim.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uim.git
@@ -21,8 +21,9 @@
 Section: utils
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: uim-gtk2.0 (<< 1:1.7.0-2)
-Breaks: uim-gtk2.0 (<< 1:1.7.0-2)
+Replaces: uim-gtk2.0 (<< 1:1.7.0-2), uim-hangul (<< 1:1.7.0-1)
+Breaks: uim-gtk2.0 (<< 1:1.7.0-2), uim-hangul (<< 1:1.7.0-1)
+Multi-Arch: foreign
 Description: Universal Input Method - common files
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -63,11 +64,13 @@
   * Multilingual input method
    - uim-m17n: M17n plugin for uim.
 
-Package: libuim7
+Package: libuim8
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6
 Breaks: libuim6
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Universal Input Method - uim library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -82,6 +85,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
 Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Universal Input Method - uim-scm API library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -96,6 +101,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
 Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Universal Input Method - uim-custom API library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -108,9 +115,21 @@
 Package: libuim-data
 Section: utils
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
-Breaks: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
+Breaks: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2),
+	uim-ajax-ime (<< 1:1.8.1-3~), uim-anthy (<< 1:1.8.1-3~),
+	uim-baidu-olime-jp (<< 1:1.8.1-3~), uim-byeoru (<< 1:1.8.1-3~),
+	uim-canna (<< 1:1.8.1-3~), uim-google-cgiapi-jp (<< 1:1.8.1-3~),
+	uim-ipa-x-sampa (<< 1:1.8.1-3~), uim-latin (<< 1:1.8.1-3~),
+	uim-look (<< 1:1.8.1-3~), uim-m17nlib (<< 1:1.8.1-3~),
+	uim-pinyin (<< 1:1.8.1-3~), uim-prime (<< 1:1.8.1-3~),
+	uim-skk (<< 1:1.8.1-3~), uim-social-ime (<< 1:1.8.1-3~),
+	uim-tcode (<< 1:1.8.1-3~), uim-viqr (<< 1:1.8.1-3~),
+	uim-yahoo-jp (<< 1:1.8.1-3~),
+	uim-mozc (<< 1.5.1090.102-4~),
+	uim-chewing (<< 0.1.0-3~)
 Recommends: wordlist, im-config | im-switch
 Description: Universal Input Method - data files
  Uim is an input method module library which supports various scripts and can
@@ -124,8 +143,9 @@
 Package: libuim-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
+Depends: ${misc:Depends}, libuim8 (= ${binary:Version}),
 	uim-common (>= ${source:Version}), libgcroots-dev
+Multi-Arch: same
 Description: Universal Input Method - development files
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -139,7 +159,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
+Depends: ${misc:Depends}, libuim8 (= ${binary:Version}),
 	uim-common (>= ${source:Version})
 Replaces: libuim6-dbg, libuim7-dbg
 Breaks: libuim6-dbg, libuim7-dbg
@@ -161,6 +181,7 @@
 	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
 Replaces: uim-xim (<< 1:1.6.0-1)
 Breaks: uim-xim (<< 1:1.6.0-1)
+Suggests: uim-dict-gtk
 Description: Universal Input Method - GTK+2.x front end
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -176,6 +197,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
 	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
+Suggests: uim-dict-gtk3
 Description: Universal Input Method - GTK+3.x front end
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -246,23 +268,3 @@
 Package: plasma-widget-uim
 Section: kde
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
-	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
-	uim-qt (>= ${source:Version})
-Description: Universal Input Method - KDE Plasma widget
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package contains a KDE Plasma widget which can configure uim, monitor
- its conversion mode, and so on.
-
-Package: uim-applet-kde
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, plasma-widget-uim (>= ${source:Version}),
-	uim-common (>= ${source:Version})
-Description: transitional package for plasma-widget-uim
