=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 confflags := \
+	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/uim \
 	--with-libgcroots=installed \
 	--disable-rpath \
 	--enable-static \
@@ -31,6 +34,8 @@
 	--enable-kde4-applet \
 	$(NULL)
 
+confflags += $(shell dpkg-buildflags --export=configure)
+
 ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
 confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
 endif
@@ -39,12 +44,20 @@
 	dh $@
 
 override_dh_auto_configure:
+	for i in emacs/uim-version.el uim.desktop uim.spec; do \
+		[ ! -e $(CURDIR)/$$i.dh-orig ] || continue; \
+		cp -f $(CURDIR)/$$i $(CURDIR)/$$i.dh-orig; \
+	done
 	dh_auto_configure -- $(confflags)
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(CURDIR)/tables/wb86.scm $(CURDIR)/tables/zm.scm
 	rm -f $(CURDIR)/config.log $(CURDIR)/config.status
+	for i in emacs/uim-version.el uim.desktop uim.spec; do \
+		[ -e $(CURDIR)/$$i.dh-orig ] || continue; \
+		mv -f $(CURDIR)/$$i.dh-orig $(CURDIR)/$$i; \
+	done
 
 override_dh_auto_install:
 	dh_auto_install -- GTK_IMMODULES=/dev/null
@@ -62,29 +75,27 @@
 	install -D -o root -g root -m 644 \
 		$(CURDIR)/debian/im-switch/uim-toolbar-qt \
 		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-toolbar-qt
-	install -d $(CURDIR)/debian/libuim-data/etc/uim
-	LIBUIM_SYSTEM_SCM_FILES=$(CURDIR)/sigscheme/lib \
-	LIBUIM_SCM_FILES=$(CURDIR)/scm \
-	LIBUIM_PLUGIN_LIB_DIR=$(CURDIR)/uim/.libs \
-		$(CURDIR)/uim/uim-module-manager --unregister-all \
-				 --path $(CURDIR)/debian/libuim-data/etc/uim
+	install -d $(CURDIR)/debian/libuim-data/var/lib/uim
 	dh_install --sourcedir=debian/tmp
 
 override_dh_link:
 	dh_link -p libuim-data \
-		etc/uim/installed-modules.scm \
+		var/lib/uim/installed-modules.scm \
 		usr/share/uim/installed-modules.scm
 	dh_link -p libuim-data \
-		etc/uim/loader.scm \
+		var/lib/uim/loader.scm \
 		usr/share/uim/loader.scm
-	for pkg in libuim7 libuim-scm0 libuim-custom2 \
+	for pkg in libuim8 libuim-scm0 libuim-custom2 \
 		   libuim-data libuim-dev uim-dbg uim-utils \
 		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
+		   uim-dict-gtk uim-dict-gtk3 \
 		   uim-qt uim-qt3 plasma-widget-uim uim-applet-kde \
 		   uim-anthy uim-canna uim-prime uim-skk uim-m17nlib \
-		   uim uim-byeoru uim-latin uim-pinyin \
+		   uim uim-byeoru uim-hangul uim-latin uim-pinyin \
 		   uim-tcode uim-viqr uim-ipa-x-sampa uim-look \
-		   uim-yahoo-jp uim-social-ime uim-ajax-ime ; do \
+		   uim-yahoo-jp uim-social-ime uim-ajax-ime \
+		   uim-google-cgiapi-jp uim-baidu-olime-jp \
+		; do \
 		rm -rf $(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg; \
 		dh_link -p$$pkg \
 			usr/share/doc/uim-common \
@@ -97,8 +108,11 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
-		--exclude=usr/lib/uim/plugin \
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
 		--exclude=usr/lib/kde4 \
-		--exclude=usr/lib/gtk-2.0 \
-		--exclude=usr/lib/gtk-3.0 \
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0 \
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0 \
 		$(NULL)
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
